Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.tags
Class EditTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.makumba.analyser.AnalysableTag
              org.makumba.commons.tags.GenericMakumbaTag
                  org.makumba.forms.tags.FormTagBase
                      org.makumba.forms.tags.EditTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

Direct Known Subclasses:
  DeleteTag

    public class EditTag

extends FormTagBase

mak:editForm tag

Version:
  $Id: EditTag.java 2298 2008-05-12 00:32:00Z manuel_gay $
Author:
  Cristian Bogdan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.makumba.forms.tags.FormTagBase
`__MAKUMBA__FORM__COUNTER__, afterHandler, annotation, annotationSeparator, baseObject, basePointer, bodyContent, ddp, fdp, formAction, formMessage, formMethod, formName, handler, lazyEvaluatedInputs, reloadFormOnError, responder, starttime`

Fields inherited from class org.makumba.commons.tags.GenericMakumbaTag
`extraFormatting, extraFormattingParams, NEEDED_RESOURCES, params`

Fields inherited from class org.makumba.analyser.AnalysableTag
`analyzedTag, ATTRIBUTE_VALUES_TRUE_FALSE, runningTag, tagData, tagKey, TYPES`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`EditTag()`

Method Summary
`DataDefinition` | `getDataTypeAtAnalysis(PageCache pageCache)` The basic data type inside the form. null for generic forms
`String` | `getDefaultExpr(String fieldName)` The default expression for an input tag, if none is indicated
`ResponderOperation` | `getResponderOperation(String operation)` Gives the operation associated with this form tag.

Methods inherited from class org.makumba.forms.tags.FormTagBase
`checkNoParent, doAnalyzedCleanup, doAnalyzedEndTag, doAnalyzedStartTag, doEndAnalyze, doInitBody, doStartAnalyze, findParentForm, findRootForm, getFormIdentifier, getNestedFormNames, getOperation, initialiseState, setAction, setAfterHandler, setAnnotation, setAnnotationSeparator, setBodyContent, setClientSideValidation, setHandler, setMessage, setMethod, setMultipart, setName, setObject, setOnReset, setOnSubmit, setReloadFormOnError, setTagKey, setTarget, shouldComputeBasePointer`

Methods inherited from class org.makumba.commons.tags.GenericMakumbaTag
`doStartTag, getParams, setAddTitle, setCols, setConvertLinks, setDefault, setElementSeparator, setEllipsis, setEllipsisLength, setEmpty, setFormat, setHtml, setLabelSeparator, setLineSeparator, setLongLineLength, setMaxlength, setMaxLength, setOnClick, setOnDblClick, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setRows, setSize, setStyle, setStyleClass, setStyleId, setTitle, setType, setType, setUrlEncode, toString`

Methods inherited from class org.makumba.analyser.AnalysableTag
`addTagText, allowsIdenticalKey, canHaveBody, checkValidAttributeValues, doEndTag, getAnalyzedTag, getCurrentBodyTag, getPageCache, getPageContext, getPageTextInfo, getRunningTag, getTagKey, getTagText, getThreadTagStack, initializeThread, needPageCache, onlyInt, setTagDataAtAnalysis`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.IterationTag
`doAfterBody`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, release, setPageContext, setParent`

Constructor Detail

### EditTag

    public EditTag()

Method Detail

### getDefaultExpr

    public String getDefaultExpr(String fieldName)

  Description copied from class: `FormTagBase`
  The default expression for an input tag, if none is indicated

  Overrides:
    `getDefaultExpr` in class `FormTagBase`

### getDataTypeAtAnalysis

    public DataDefinition getDataTypeAtAnalysis(PageCache pageCache)

  Description copied from class: `FormTagBase`
  The basic data type inside the form. null for generic forms

  Overrides:
    `getDataTypeAtAnalysis` in class `FormTagBase`

### getResponderOperation

    public ResponderOperation getResponderOperation(String operation)

  Description copied from class: `FormTagBase`
  Gives the operation associated with this form tag. Each tag should implement its own

  Overrides:
    `getResponderOperation` in class `FormTagBase`
  Parameters:
    `operation` - name of the operation
  Returns:
    a `ResponderOperation` object holding the operation information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20